print("register fruit type: sugarbeet");

local sugarBeethudFile = Utils.getFilename("mods/MapAlonefruits/sugarbeetHud.png", getUserProfileAppPath());
FruitUtil.registerFruitType("sugarbeet", true, true, true, 4, 0.12, 2, 0.05, 0.5, sugarBeethudFile);

local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;	
end;




